package javax.sql;

import java.sql.SQLException;
import java.sql.ResultSetMetaData;

public interface RowSetMetaData extends ResultSetMetaData
{
    public abstract void setColumnCount(int p0) throws SQLException;
    
    public abstract void setAutoIncrement(int p0, boolean p1) throws SQLException;
    
    public abstract void setCaseSensitive(int p0, boolean p1) throws SQLException;
    
    public abstract void setSearchable(int p0, boolean p1) throws SQLException;
    
    public abstract void setCurrency(int p0, boolean p1) throws SQLException;
    
    public abstract void setNullable(int p0, int p1) throws SQLException;
    
    public abstract void setSigned(int p0, boolean p1) throws SQLException;
    
    public abstract void setColumnDisplaySize(int p0, int p1) throws SQLException;
    
    public abstract void setColumnLabel(int p0, String p1) throws SQLException;
    
    public abstract void setColumnName(int p0, String p1) throws SQLException;
    
    public abstract void setSchemaName(int p0, String p1) throws SQLException;
    
    public abstract void setPrecision(int p0, int p1) throws SQLException;
    
    public abstract void setScale(int p0, int p1) throws SQLException;
    
    public abstract void setTableName(int p0, String p1) throws SQLException;
    
    public abstract void setCatalogName(int p0, String p1) throws SQLException;
    
    public abstract void setColumnType(int p0, int p1) throws SQLException;
    
    public abstract void setColumnTypeName(int p0, String p1) throws SQLException;
}
